Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.handler
Class DispatcherServletWebRequest

    java.lang.Object
      org.springframework.web.context.request.AbstractRequestAttributes
          org.springframework.web.context.request.ServletRequestAttributes
              org.springframework.web.context.request.ServletWebRequest
                  org.springframework.web.servlet.handler.DispatcherServletWebRequest

All Implemented Interfaces:
  NativeWebRequest, RequestAttributes, WebRequest

    public class DispatcherServletWebRequest

extends ServletWebRequest

`ServletWebRequest` subclass that is aware of `DispatcherServlet`'s request context, such as the Locale determined by the configured `LocaleResolver`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `getLocale()`, `LocaleResolver`

Field Summary

Fields inherited from class org.springframework.web.context.request.ServletRequestAttributes
`DESTRUCTION_CALLBACK_NAME_PREFIX`

Fields inherited from class org.springframework.web.context.request.AbstractRequestAttributes
`requestDestructionCallbacks`

Fields inherited from interface org.springframework.web.context.request.RequestAttributes
`SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION`

Constructor Summary
`DispatcherServletWebRequest(HttpServletRequest request)` Create a new DispatcherServletWebRequest instance for the given request.

Method Summary
`Locale` | `getLocale()` Return the primary Locale for this request.

Methods inherited from class org.springframework.web.context.request.ServletWebRequest
`checkNotModified, getContextPath, getDescription, getNativeRequest, getNativeResponse, getParameter, getParameterMap, getParameterValues, getRemoteUser, getResponse, getUserPrincipal, isNotModified, isSecure, isUserInRole, toString`

Methods inherited from class org.springframework.web.context.request.ServletRequestAttributes
`getAttribute, getAttributeNames, getRequest, getSession, getSessionId, getSessionMutex, registerDestructionCallback, removeAttribute, setAttribute, updateAccessedSessionAttributes`

Methods inherited from class org.springframework.web.context.request.AbstractRequestAttributes
`registerRequestDestructionCallback, removeRequestDestructionCallback, requestCompleted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.web.context.request.RequestAttributes
`getAttribute, getAttributeNames, getSessionId, getSessionMutex, registerDestructionCallback, removeAttribute, setAttribute`

Constructor Detail

### DispatcherServletWebRequest

    public DispatcherServletWebRequest(HttpServletRequest request)

  Create a new DispatcherServletWebRequest instance for the given request.

  Parameters:
    `request` - current HTTP request

Method Detail

### getLocale

    public Locale getLocale()

  Description copied from interface: `WebRequest`
  Return the primary Locale for this request.

  Specified by:
    `getLocale` in interface `WebRequest`
  Overrides:
    `getLocale` in class `ServletWebRequest`
  See Also:
    `ServletRequest.getLocale()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.